Get an ACME order by ID

Retrieve an ACME order by its ID

Path parameters
orderId
string required

The ID of the order

Responses
  • 200 ACME order found
    _id
    string (Internal ID) required

    Object internal ID

    profile
    string required
    accountId
    string (Internal ID) required

    Object internal ID

    status
    string (OrderStatus) required
    Enum pending ready processing valid invalid
    metadata
    object required
    authorizations
    array of object (Authorization) required
    expires
    integer
    notBefore
    integer
    notAfter
    integer
    certificate
    string (Internal ID)

    Object internal ID

    thumbprint
    string
    initialIp
    string
    removeAt
    integer
    owner
    string
    team
    string
    label
    array of object
    contactEmail
    string
  • 401 Authentication error
  • 403 Forbidden action
  • 404 ACME order not found
    status
    integer required

    The http status code of the error. In compliance with RFC7807

    Value 404
    error
    string required

    The error code of the problem

    Value ORDER-001
    message
    string required

    A short, human-readable summary of the problem type

    Value Order does not exist
    title
    string required

    A short, human-readable summary of the problem type. In compliance with RFC7807

    Value Order does not exist
    detail
    string | null

    A human-readable explanation specific to this occurrence of the problem. In compliance with RFC7807

  • 500 Unexpected internal server error